/* DistAIXSidebar styles
//
// @author Sonja Happ <sonja.happ@eonerc.rwth-aachen.de>, Jonas Otten
// @copyright 2019, Institute for Automation of Complex Power Systems, EONERC
// @license GNU General Public License (version 3)
//
// DistAIX Web
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
///////////////////////////////////////////////////////////////////////////////*/

.notSelectable{
	-webkit-touch-callout:none;
	-webkit-user-select:none;
	-moz-user-select:none;
	-ms-user-select:none;
	user-select:none;
}

#sidebarHeadline{
	@extend .notSelectable;
	text-align: center;
	font-size: 30px;
	cursor: default;
}

#sidebarHeaderImgDiv{
	@extend .notSelectable;
	user-drag: none;
	text-align: center;
	background-color: white;
	padding-top: 10px;
	padding-bottom: 10px;
	margin: 15px;
	border-radius: 10px;
}

#sidebarHeaderImg{
	user-drag: none; 
	user-select: none;
	-moz-user-select: none;
	-webkit-user-drag: none;
	-webkit-user-select: none;
	-ms-user-select: none;
}

.sidebarButton {
	margin-top: 7px;
	background-color: white;
	color: cornflowerblue;
	text-align: center;
	border-radius: 3px;
	padding: 10px;
	cursor: pointer;
	@extend .notSelectable;
}

.sidebarBorder{
	background-color: white;
	height:1px;
	width:100%;
}

.sidebarElement{
	text-align: center;
	padding: 10px;
	cursor: pointer;
	@extend .notSelectable;
}
